@charset "UTF-8";
@import url(https://fonts.googleapis.com/css?family=Inter:100,200,300,regular,500,600,700,800,900);

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
}

ul[role="list"],
ol[role="list"] {
  list-style: none;
}

li {
  list-style-type: none;
}

html:focus-within {
  scroll-behavior: smooth;
}

a:not([class]) {
  text-decoration-skip-ink: auto;
}

img,
picture,
svg,
video,
canvas {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  font-style: italic;
  background-repeat: no-repeat;
  background-size: cover;
}

input,
button,
textarea,
select {
  font: inherit;
}

body,
html {
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

:root {
  --Primary-100: #fe2c55;
  --Primary-50: #25f4ee;
  --Gray-100: #131415;
  --Gray-90: #4e4e4e;
  --Gray-80: #7b7b7b;
  --Gray-70: #d8d8d8;
  --Gray-0: #fff;
  --Secondary-Error: #d80d0d;
  --Secondary-Info: #1c7ed6;
  --Light-mode-System-Warning: #fcc419;
  --Light-mode-System-Success: #37b24d;
}

@keyframes animationBlueShape {
  0%,
  100% {
    transform: rotate(0deg) translateY(0);
  }

  50% {
    transform: rotate(360deg) translateY(100px);
  }
}

@keyframes animationRedShape {
  0%,
  100% {
    transform: rotate(0deg) translateY(-20px);
  }

  50% {
    transform: rotate(360deg) translateY(120px);
  }
}

@keyframes scrollUpOut {
  from {
    transform: translateY(0);
  }

  to {
    transform: translateY(-100vh);
  }
}

.animScrollUpOut {
  animation: scrollUpOut 1s ease forwards;
}

@keyframes scroll-x {
  to {
    transform: translateX(0);
  }
}

.animScrollInX {
  animation: scroll-x 1s ease-in forwards;
}

@keyframes scroll-y {
  to {
    transform: translateY(0);
  }
}

.animScrollInY {
  animation: scroll-y 1s ease forwards;
}

@keyframes scrollDownOut {
  from {
    transform: translateY(0);
  }

  to {
    transform: translateY(100%);
  }
}

.animScrollDownOut {
  animation: scrollDownOut 1s ease-in forwards;
}

@keyframes disappeared {
  to {
    opacity: 0;
  }
}

.animDisappeared {
  animation: disappeared 0.5s ease forwards;
}

body {
  background-color: #56a1e1;
  color: var(--Gray-0, #fff);
  font-family: Inter;
  overflow: hidden;
}

#app {
  min-height: 100dvh;
  position: relative;
  overflow: hidden;
  max-width: 550px;
  margin: 0 auto;
  position: relative;
}

main {
  min-height: 100vh;
  max-width: 550px;
  margin: 0 auto;
}

section {
  max-width: 550px;
  margin: 0 auto;
}

.hidden {
  display: none !important;
}

.point-event-none {
  pointer-events: none;
}

.container {
  max-width: 100%;
  margin: 0 auto;
  padding: 0 20px 20px;
  width: 100%;
}

.bg-shape {
  position: absolute;
}

.bg-shape--blue {
  scale: 1.1;
  right: -90%;
  top: -27%;
  z-index: -1;
  animation: animationBlueShape 40s ease-in-out infinite;
}

.bg-shape--blue path {
  fill: #0063c2;
}

.bg-shape--red {
  left: -100%;
  bottom: -20%;
  z-index: -1;
  animation: animationRedShape 60s ease-in-out infinite;
}

.bg-shape--red path {
  fill: #0063c2;
}

.home {
  min-height: 100%;
  position: relative;
}

.home__title {
  width: 100%;
  padding: 0 20px;
  margin: 0 -20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  position: absolute;
  top: 20vh;
  z-index: 2;
}
.home__title img {
  max-width: 300px;
  padding: 30px;
  width: 100%;
}
.home__title h2 {
  font-family: "Inter";
  font-size: 34px;
  font-weight: 700;
  line-height: 1.2;
  text-align: center;
}
.home__title h4 {
  font-family: "Inter";
  font-size: 19px;
  font-weight: 700;
  line-height: 1.2;

  text-align: center;
}
.home__wrapper {
  display: flex;
  justify-content: center;
}

.home__content {
  max-width: max-content;
  position: fixed;
  bottom: 0;
  width: 80%;
  padding: 0 20px;
  margin: 0 -20px;
}

.home__content h1 {
  padding-bottom: 16px;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  line-height: 150%;
  /* 27px */
}

.home__content .start-btn {
  margin-bottom: 16px;
  padding: 15px 25px;
  display: block;
  text-decoration: none;
  color: #000;
  text-align: center;

  font-weight: 700;
  line-height: 1.2;
  font-size: 30px;
  letter-spacing: 0.64px;
  /* text-transform: uppercase; */
  border-radius: 30px;
  background: #fff;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
  transition: all 0.4s ease;
}

.home__content .start-btn:active {
  scale: 0.9;
  background: rgba(254, 44, 85, 0.5);
}

.header {
  padding: 8px 0;
  position: relative;
  z-index: 9;
  transform: translateY(-100%);
}

.header__wrapper ul {
  display: none;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.header__wrapper ul li ul {
  display: flex;
  flex-direction: row;
  gap: 16px;
  filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.3));
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

.header__link {
  color: var(--Gray-70, #d8d8d8);
  font-size: 12px;
  font-weight: 500;
  line-height: 120%;
  /* 14.4px */
}

.header__link--active {
  color: var(--Gray-0, #fff);
  text-decoration: underline;
}

.footer {
  width: 100%;
  position: fixed;
  bottom: 0;
  z-index: 9;

  /* transform: translateY(100%); */
}

.footer__wrapper {
  padding: 13px 0;
}

.footer__wrapper ul {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.footer__wrapper ul li {
  min-width: 64px;
  width: 100%;
}

.footer__link {
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  gap: 4px;
  font-size: 10px;
  font-weight: 400;
  line-height: 100%;
  /* 10px */
  color: var(--Gray-80, #7b7b7b);
}

.footer__link--active {
  color: var(--Gray-0, #fff) !important;
}

.footer__link--active path {
  stroke: var(--Gray-0, #fff);
}

.sidebar {
  position: absolute;
  bottom: -35px;
  /* top: 14px; */
  /* right: 0; */
  left: 0;
  z-index: 15;
  transform: translateX(100%);
  opacity: 0;
}

.sidebar__wrapper ul {
  padding: 0 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.sidebar__link {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  /* 14.4px */
  filter: drop-shadow(2px 2px 4px rgba(0, 0, 0, 0.3));
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}
.sidebar__link span {
  width: 50px;
}

.sidebar__link:active svg {
  scale: 0.9;
}

.sidebar__link--heart.sidebar__link--active path {
  fill: red;
}

.sidebar__link--save.sidebar__link--active path {
  fill: yellow;
}

.quiz {
  margin-top: -52px;
  transform: translateY(100vh);
  position: fixed;
  z-index: 2;
  height: 100%;
  overflow: auto;
}

.quiz__wrapper {
  padding: 0 0 20px;
  height: auto;
  overflow: auto;
}

.quiz__video-wrapper {
  max-height: 45vh;
  overflow: hidden;
  pointer-events: none;
}

.quiz__content {
  padding: 0 20px;
  margin-bottom: 100px;
}

.quiz__question {
  padding: 14px 0 28px;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 22px;
  font-weight: 700;
  line-height: 150%;
  /* 27px */
}

.quiz__answers {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.quiz__answers a {
  padding: 8px 16px;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 18px;
  font-weight: 400;
  line-height: 168%;
  /* 30.24px */
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.25);
}

.quiz__answers a:active {
  scale: 0.9;
  background: rgba(145, 145, 145, 0.25);
}

.comment {
  position: fixed;
  bottom: 0;
  z-index: 19;
  max-height: 80vh;
  height: 100%;
  width: 100%;
  transform: translateY(120%);
  background: #fff;
}

.comment__wrapper {
  padding-bottom: 8px;
  position: relative;
  height: 100%;
  overflow: auto;
  border-radius: 12px 12px 0px 0px;
  color: #000;
  background: #fff;
  /* Customize website's scrollbar like Mac OS
  Not supports in Firefox and IE */
  /* total width */
  /* background of the scrollbar except button or resizer */
  /* scrollbar itself */
  /* set button(top and bottom of the scrollbar) */
}

.comment__wrapper::-webkit-scrollbar {
  background-color: #fff;
  background-color: red;
  width: 16px;
}

.comment__wrapper::-webkit-scrollbar-track {
  background-color: #131415;
  margin: 28px 0 0;
}

.comment__wrapper::-webkit-scrollbar-track:hover {
  background-color: #131415;
}

.comment__wrapper::-webkit-scrollbar-thumb {
  background-color: #babac0;
  border-radius: 16px;
  border: 5px solid #131415;
}

.comment__wrapper::-webkit-scrollbar-thumb:hover {
  background-color: #a0a0a5;
  border: 4px solid #131415;
}

.comment__wrapper::-webkit-scrollbar-button {
  display: none;
}

.comment__title {
  margin-top: -12px;
  padding: 8px 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  /* 14.4px */
  position: fixed;
  z-index: 19;
  width: 100%;
  border-radius: 12px 12px 0px 0px;
  background: #fff;
  color: #000;
}
.comment__cross {
  max-width: 40px;
}
.comment__title h2,
.comment__title svg {
  margin-left: auto;
}

.comment__title h2 {
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  /* 14.4px */
}

.comment__title svg {
  cursor: pointer;
}

.comment__list {
  padding-top: 50px;
  padding-left: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.comment__list li {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  gap: 12px;
}

.comment__img-wrapper {
  flex: none;
}
.comment__img-wrapper img {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}
.comment__content {
  color: #000;
  background: #d9d9d9;
  border-radius: 20px;
  padding: 10px;
  margin-right: 20px;
}

.comment__content h3 {
  padding-bottom: 4px;

  font-size: 14px;
  font-weight: 600;
  line-height: 150%;
  /* 21px */
}

.comment__content p {
  color: #000;
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  /* 14.4px */
}

.make {
  padding-top: 56px;
  margin-top: -56px;
  min-height: 100vh;
  background: var(--Gray-100, #131415);
  position: relative;
  z-index: 5;
  transform: translateY(150%);
}

.make__wrapper ul {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.make__user {
  padding-top: 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-top: 1px solid var(--Gray-80, #7b7b7b);
}

.make__user:first-of-type {
  border-top: none;
}

.make__user:last-of-type {
  border-bottom: 1px solid var(--Gray-80, #7b7b7b);
  padding-bottom: 20px;
}

.make__user[data-user] {
  transform: translateX(-100%);
}

.make__info {
  display: flex;
  flex-direction: row;
  gap: 12px;
}

.make__info h3 {
  padding-bottom: 4px;
  color: var(--Gray-70, #d8d8d8);
  font-size: 14px;
  font-weight: 600;
  line-height: 150%;
  /* 21px */
}

.make__info p {
  color: var(--Gray-0, #fff);
  font-size: 12px;
  font-weight: 400;
  line-height: 120%;
  /* 14.4px */
}

.make__money {
  color: var(--Primary-50, #25f4ee);
  text-align: right;
  font-size: 21px;
  font-weight: 600;
  line-height: 150%;
  /* 31.5px */
}

.form {
  transform: translateY(100%);
  position: fixed;
  inset: 0;
  height: 100%;
  overflow: auto;
  z-index: 39;
}

.form h2 {
  padding-top: 60px;
  padding-bottom: 60px;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  line-height: 150%;
  /* 27px */
}

@media (max-width: 768px) {
  .form h2 {
    padding-top: 10px;
    padding-bottom: 15px;
    color: var(--Gray-0, #fff);
    text-align: center;
    font-size: 50px;
    font-weight: 700;
    line-height: 150%;
  }
  .form h3 {
    padding-top: 0;
    padding-bottom: 15px;
    color: var(--Gray-0, #fff);
    text-align: center;
    font-size: 20px;
    font-weight: 700;
    line-height: 150%;
    text-align: center;
  }
}

.form--active {
  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

.form__wrapper {
  min-height: 100%;
  overflow: auto;
  margin-bottom: 30px;
}

.form--active .container {
  position: relative;
}

.form--active .container .form__cross {
  display: block;
}

.form--active .container .form__cross:after {
  content: "×";
  color: white;
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 1.5rem;
  cursor: pointer;
}
.form__protect {
  display: flex;
  align-items: center;
  column-gap: 13px;
  padding: 10px 25px 25px 25px;
}

.form__protect-icon {
  width: 35.021px;
  height: 25px;
  flex-shrink: 0;
}

.form__protect-title {
  color: #fff;
  font-size: 10px;
  font-weight: 700;
  line-height: normal;
  text-align: left;
}

.form__protect-description {
  color: #fff;
  font-size: 6px;
  font-weight: 400;
  line-height: normal;
  text-align: left;
}
.icon {
  max-width: 50px;
}
@media (max-width: 390px) {
  .icon {
    padding-top: 10px;
    max-width: 30px;
  }
  .home__title {
    top: 100%;
  }
  .home__content {
    bottom: 0;
  }
  .container {
    height: 100v;
  }
}
